## libdex 1.0.0

=== meson_options.txt ===
option('docs',
       type: 'boolean', value: false,
       description: 'Build reference manual (requires gi-doc and gobject-introspection)')
option('examples',
       type: 'boolean', value: true,
       description: 'Build example programs')
option('stack-protector',
       type: 'boolean', value: true,
       description: 'Enable stack-protector')
option('vapi',
       type: 'boolean', value: true,
       description: 'Generate vapi data (requires vapigen)')
option('introspection',
       type: 'feature', value: 'enabled',
       description: 'Generate gir data (requires gobject-introspection)')
option('sysprof',
       type: 'boolean', value: false,
       description: 'Provide anscillary profiling information when run under Sysprof')
option('tests',
       type: 'boolean', value: true,
       description: 'Build and enable tests')
option('liburing',
       type: 'feature', value: 'auto',
       description: 'Allow use of liburing (io_uring)')
option('eventfd',
       type: 'feature', value: 'auto',
       description: 'Allow use of eventfd')

## libdex 0.2.0

=== debian/changelog ===
libdex (0.2.0-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * Update upstream VCS links
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 07:03:17 -0400

libdex (0.1.1-2) experimental; urgency=medium

  * Cherry-pick patch to fix mips build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Mar 2023 12:08:42 -0500

libdex (0.1.1-1) experimental; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * debian/libdex-1-1.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Mar 2023 06:50:38 -0500

libdex (0.1.0-6) experimental; urgency=medium

  * Cherry-pick another patch to try to fix the mips build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 02 Mar 2023 21:46:46 -0500

libdex (0.1.0-5) experimental; urgency=medium

  * Cherry-pick 4 more patches to continue troubleshooting mips*

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 02 Mar 2023 16:44:48 -0500

libdex (0.1.0-4) experimental; urgency=medium

  * Cherry-pick more patches to help mips build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 28 Feb 2023 03:18:11 -0500

libdex (0.1.0-3) experimental; urgency=medium

  * Cherry-pick 2 more patches to fix the mips* build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 25 Feb 2023 17:45:18 -0500

libdex (0.1.0-2) experimental; urgency=medium

  * Cherry-pick patches to fix build on arm* and mips*

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 24 Feb 2023 21:55:51 -0500

libdex (0.1.0-1) experimental; urgency=medium

  * Initial release (Closes: #1031746)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Feb 2023 16:02:19 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: libdex
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gi-docgen,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.68),
               libsysprof-capture-4-dev,
               meson (>= 0.62.0),
               valac
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/libdex
Vcs-Git: https://salsa.debian.org/gnome-team/libdex.git
Homepage: https://gitlab.gnome.org/GNOME/libdex

Package: libdex-1-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Library for deferred execution
 Dex is a library supporting "Deferred Execution" with the explicit goal of
 integrating with GNOME and GTK-based applications. It provides primatives
 for supporting futures in a variety of ways with both read-only and writable
 views. Additionally, integration with existing asynchronous-based APIs is
 provided through the use of wrapper promises.
 .
 "Fibers" are implemented which allows for writing synchronous looking code
 which calls asynchronous APIs from GIO underneath.

Package: libdex-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libdex-1-1 (= ${binary:Version}),
         gir1.2-dex-1 (= ${binary:Version}),
         libglib2.0-dev (>= 2.68),
Suggests: libdex-doc
Description: Library for deferred execution - development files
 Dex is a library supporting "Deferred Execution" with the explicit goal of
 integrating with GNOME and GTK-based applications. It provides primatives
 for supporting futures in a variety of ways with both read-only and writable
 views. Additionally, integration with existing asynchronous-based APIs is
 provided through the use of wrapper promises.
 .
 "Fibers" are implemented which allows for writing synchronous looking code
 which calls asynchronous APIs from GIO underneath.
 .
 This package contains the development files.

Package: libdex-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Library for deferred execution - documentation
 Dex is a library supporting "Deferred Execution" with the explicit goal of
 integrating with GNOME and GTK-based applications. It provides primatives
 for supporting futures in a variety of ways with both read-only and writable
 views. Additionally, integration with existing asynchronous-based APIs is
 provided through the use of wrapper promises.
 .
 This package contains the API reference.

Package: gir1.2-dex-1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for libdex
 This package contains GObject introspection information.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## libdex 0.4.0

=== debian/changelog ===
libdex (0.4.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 08:40:04 -0400

libdex (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libdex-1-1.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 15:52:08 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Ddocs=true \
		-Dsysprof=true

## libdex 0.5.0

=== debian/changelog ===
libdex (0.5.0-3) unstable; urgency=medium

  * Use [!i386] instead of invalid <!i386>

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Feb 2024 21:50:30 -0500

libdex (0.5.0-2) unstable; urgency=medium

  * Don't enable liburing feature on i386

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Feb 2024 12:40:04 -0500

libdex (0.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libdex-1-1.symbols: Add new symbol
  * Add Build-Depends: liburing-dev
  * Set architecture to Linux-any

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Feb 2024 14:43:00 -0500

libdex (0.4.2-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Jan 2024 15:25:26 -0500

libdex (0.4.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 23 Oct 2023 14:38:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,3 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: libdex
 Section: libs
 Priority: optional
@@ -9,11 +5,11 @@
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
                gi-docgen,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.68),
                libsysprof-capture-4-dev,
+               liburing-dev [!i386],
                meson (>= 0.62.0),
                valac
 Standards-Version: 4.6.2
@@ -23,7 +19,7 @@
 Homepage: https://gitlab.gnome.org/GNOME/libdex
 
 Package: libdex-1-1
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -39,7 +35,7 @@
 
 Package: libdex-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -76,7 +72,7 @@
 
 Package: gir1.2-dex-1
 Section: introspection
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${gir:Depends}

## libdex 0.6.0

=== debian/changelog ===
libdex (0.6.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:54:31 +0000

libdex (0.6.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Amin Bandali <bandali@ubuntu.com>  Tue, 19 Mar 2024 09:59:56 -0400

libdex (0.5.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Add convenience API for checking exact future status without enum
    - Lots of documentation additions
  * debian/libdex-1-1.symbols: Add new symbols

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 07 Mar 2024 11:46:25 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libdex
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# Ubuntu doesn't offer liburing on i386
ifeq ($(DEB_HOST_ARCH_CPU),i386)
URING = -Dliburing=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		$(URING) \
		-Ddocs=true \
		-Dsysprof=true

## libdex 0.6.1

=== debian/changelog ===
libdex (0.6.1-2) unstable; urgency=medium

  * Allow disabling sysprof integration to ease bootstrapping (Closes: #1051124)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Jun 2024 08:13:02 -0400

libdex (0.6.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 May 2024 06:32:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: libdex
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                gi-docgen,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.68),
-               libsysprof-capture-4-dev,
+               libsysprof-capture-4-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 sh4] <!pkg.libdex.nosysprof>,
                liburing-dev [!i386],
                meson (>= 0.62.0),
                valac
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/libdex
 Vcs-Git: https://salsa.debian.org/gnome-team/libdex.git

## libdex 0.8.0

=== debian/changelog ===
libdex (0.8.0-1) unstable; urgency=medium

  * New upstream release
  * Add Provides: ${gir:Provides} to libdex-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 18:53:43 -0400

libdex (0.7.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libdex-1-1.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 14:49:33 -0400

=== debian/control ===
--- 
+++ 
@@ -42,6 +42,7 @@
          libdex-1-1 (= ${binary:Version}),
          gir1.2-dex-1 (= ${binary:Version}),
          libglib2.0-dev (>= 2.68),
+Provides: ${gir:Provides}
 Suggests: libdex-doc
 Description: Library for deferred execution - development files
  Dex is a library supporting "Deferred Execution" with the explicit goal of

## libdex 0.8.1

=== debian/changelog ===
libdex (0.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 10:26:02 -0500

## libdex 0.9.0

=== debian/changelog ===
libdex (0.9.0-2) unstable; urgency=medium

  * Add libdex-dev Depends: libsysprof-capture-4-dev, liburing-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Feb 2025 20:06:22 -0500

libdex (0.9.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libdex-1-1.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Feb 2025 16:23:49 -0500

## libdex 0.9.1

=== debian/changelog ===
libdex (0.9.1-1) unstable; urgency=medium

  * New upstream release
  * debian/libdex-1-1.symbols: Add new symbol

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Feb 2025 14:52:02 -0500

## libdex 0.10.0

=== debian/changelog ===
libdex (0.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 16:08:07 -0400

## libdex 0.10.1

=== debian/changelog ===
libdex (0.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 13 Aug 2025 05:14:26 -0400

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,7 @@
 Package: libdex-1-1
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Library for deferred execution
  Dex is a library supporting "Deferred Execution" with the explicit goal of
  integrating with GNOME and GTK-based applications. It provides primatives
@@ -37,11 +36,13 @@
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libdex-1-1 (= ${binary:Version}),
-         gir1.2-dex-1 (= ${binary:Version}),
+Depends: libdex-1-1 (= ${binary:Version}),
          libglib2.0-dev (>= 2.68),
+         libsysprof-capture-4-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 sh4] <!pkg.libdex.nosysprof>,
+         liburing-dev [!i386],
+         ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: ${gir:Provides}
 Suggests: libdex-doc
 Description: Library for deferred execution - development files
@@ -60,8 +61,7 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Library for deferred execution - documentation
  Dex is a library supporting "Deferred Execution" with the explicit goal of
  integrating with GNOME and GTK-based applications. It provides primatives
@@ -75,8 +75,7 @@
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${gir:Depends}
+Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for libdex
  This package contains GObject introspection information.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

ifeq ($(filter pkg.libdex.nosysprof,$(DEB_BUILD_PROFILES)),)
ifneq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 sh4,$(DEB_HOST_ARCH)),)
SYSPROF = -Dsysprof=true
endif
endif

# Ubuntu doesn't offer liburing on i386
ifeq ($(DEB_HOST_ARCH_CPU),i386)
URING = -Dliburing=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Ddocs=true \
		$(SYSPROF) \
		$(URING)

## libdex 1.0.0

=== debian/changelog ===
libdex (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libdex-1-1.symbols: Add new symbols
  * Opt into Salsa CI

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Sep 2025 22:10:42 -0400

libdex (0.10.1-2) unstable; urgency=medium

  * Team upload
  * d/control: Replace deprecated libgirepository1.0-dev B-D.
    Use gobject-introspection (>= 1.80) and gir1.2-gio-2.0-dev instead.
  * d/control, d/rules: Only run gi-docgen when needed.
    We don't need this on each architecture-specific buildd.
  * d/copyright: Don't quote the FSF's former postal address here
  * d/libdex-doc.links: Register API documentation with devhelp
  * d/libdex-doc.doc-base.libdex-1: Register API documentation with doc-base
  * d/control: Remove Rules-Requires-Root, unnecessary since trixie
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Thu, 04 Sep 2025 11:15:43 +0100

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
-               gi-docgen,
-               libgirepository1.0-dev,
+               gir1.2-gio-2.0-dev,
+               gobject-introspection (>= 1.80),
                libglib2.0-dev (>= 2.68),
                libsysprof-capture-4-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 sh4] <!pkg.libdex.nosysprof>,
                liburing-dev [!i386],
                meson (>= 0.62.0),
                valac
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Build-Depends-Indep: gi-docgen,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/libdex
 Vcs-Git: https://salsa.debian.org/gnome-team/libdex.git
 Homepage: https://gitlab.gnome.org/GNOME/libdex
@@ -41,8 +41,7 @@
          libsysprof-capture-4-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 sh4] <!pkg.libdex.nosysprof>,
          liburing-dev [!i386],
          ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
+         ${misc:Depends}
 Provides: ${gir:Provides}
 Suggests: libdex-doc
 Description: Library for deferred execution - development files
@@ -58,10 +57,11 @@
  This package contains the development files.
 
 Package: libdex-doc
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}
 Description: Library for deferred execution - documentation
  Dex is a library supporting "Deferred Execution" with the explicit goal of
  integrating with GNOME and GTK-based applications. It provides primatives

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

built_binaries := $(shell dh_listpackages)
configure_flags = -Dauto_features=enabled

ifeq ($(filter %-doc,$(built_binaries)),)
configure_flags += -Ddocs=false
else
configure_flags += -Ddocs=true
endif

ifeq ($(filter pkg.libdex.nosysprof,$(DEB_BUILD_PROFILES)),)
ifneq ($(filter amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 sh4,$(DEB_HOST_ARCH)),)
configure_flags += -Dsysprof=true
endif
endif

# Ubuntu doesn't offer liburing on i386
ifeq ($(DEB_HOST_ARCH_CPU),i386)
configure_flags += -Dliburing=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(configure_flags)

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+[02468]/@PACKAGE@-([\d.]+\.?(?:beta|rc)?[\d.]*)@ARCHIVE_EXT@

## libdex 1.1~alpha

=== meson_options.txt ===
--- 
+++ 
@@ -25,3 +25,12 @@
 option('eventfd',
        type: 'feature', value: 'auto',
        description: 'Allow use of eventfd')
+option('pygobject',
+       type: 'boolean', value: true,
+       description: 'Install PyGObject overrides (requires gobject-introspection)')
+option('pygobject-override-dir',
+       type: 'string', value: '',
+       description: 'Path to pygobject overrides directory')
+option('gdbus',
+       type: 'feature', value: 'auto',
+       description: 'Integrate with gdbus')

=== debian/changelog ===
libdex (1.1~alpha-1) unstable; urgency=medium

  * New upstream release
  * debian/libdex-1-1.symbols: Add new symbols
  * gir1.2-dex-1.install: Install new python-gi override
  * Temporarily disable new gdbus feature

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Feb 2026 13:16:22 -0500

libdex (1.0.0-2) unstable; urgency=medium

  * Enable sysprof support on all architectures
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 01 Jan 2026 10:53:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libdex
 Section: libs
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
@@ -8,12 +7,12 @@
                gir1.2-gio-2.0-dev,
                gobject-introspection (>= 1.80),
                libglib2.0-dev (>= 2.68),
-               libsysprof-capture-4-dev [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hppa powerpc ppc64 sh4] <!pkg.libdex.nosysprof>,
+               libsysprof-capture-4-dev,
                liburing-dev [!i386],
                meson (>= 0.62.0),
                valac
-Build-Depends-Indep: gi-docgen,
-Standards-Version: 4.7.2
+Build-Depends-Indep: gi-docgen <!nodoc>,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/gnome-team/libdex
 Vcs-Git: https://salsa.debian.org/gnome-team/libdex.git
 Homepage: https://gitlab.gnome.org/GNOME/libdex

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# Ubuntu doesn't offer liburing on i386
ifeq ($(DEB_HOST_ARCH_CPU),i386)
configure_flags += -Dliburing=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Ddocs=$(if $(filter %-doc,$(shell dh_listpackages)),true,false) \
		-Dgdbus=disabled \
		-Dsysprof=true \
		$(configure_flags)
